# LogDoctor: PrintSec Namespace Reference

Loading...
Searching...
No Matches
PrintSec Namespace Reference

PrintSec. More...

## Functions

QString | printableSize (const size_t bytes) noexcept
| Formats the size including the suffix, for display purposes.
QString | printableSpeed (const double bytes, const double seconds) noexcept
| Formats the speed including the suffix, for display purposes.
QString | printableTime (const unsigned seconds) noexcept
| Formats the time, for display purposes.
QString | printableTime (const int hour, const int minute, const int second) noexcept
| Returns a string of the given time in the format HH:MM:SS.
QString | printableDate (const int year, const int month, const int day) noexcept
| Returns a string of the given date in the format YYYY-MM-DD.
QString | printableBool (const int value) noexcept
| Returns a string corresponding to the given value.

## Detailed Description

PrintSec.

Utilities to have printable stuff

## Function Documentation

## printableBool()

QString PrintSec::printableBool | ( | const int | value | ) |

noexcept

Returns a string corresponding to the given value.

Used to convert numeric booleans [0,1] to string [FALSE,TRUE]

Parameters

  value | The value to convert

Returns
  The corresponding printable string

## printableDate()

QString PrintSec::printableDate | ( | const int | year,
|  | const int | month,
|  | const int | day )

noexcept

Returns a string of the given date in the format YYYY-MM-DD.

Parameters

  year | The year (4 digits number)
  month | The month
  day | The day

Returns
  The printable date

## printableSize()

QString PrintSec::printableSize | ( | const size_t | bytes | ) |

noexcept

Formats the size including the suffix, for display purposes.

Parameters

  bytes | The size in bytes

Returns
  The string to be displayed

## printableSpeed()

QString PrintSec::printableSpeed | ( | const double | bytes,
|  | const double | seconds )

noexcept

Formats the speed including the suffix, for display purposes.

Parameters

  bytes | The size in bytes
  seconds | The number of seconds

Returns
  The string to be displayed

## printableTime() [1/2]

QString PrintSec::printableTime | ( | const int | hour,
|  | const int | minute,
|  | const int | second )

noexcept

Returns a string of the given time in the format HH:MM:SS.

Parameters

  hour | The hour
  minut | The minute
  second | The second

Returns
  The printable time

## printableTime() [2/2]

QString PrintSec::printableTime | ( | const unsigned | seconds | ) |

noexcept

Formats the time, for display purposes.

Parameters

  seconds | The number of seconds

Returns
  The string to be displayed